Page MenuHomeFreeBSD

Update multimedia/*phonon* and flavorize
ClosedPublic

Authored by tcberner on Mar 9 2018, 7:10 PM.

Details

Summary

There was a new phonon and phonon-backend-vlc release recently.

Maybe these ports should be further simplified while here... sharing distinfo and such.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner created this revision.Mar 9 2018, 7:10 PM
tcberner updated this revision to Diff 40109.Mar 9 2018, 7:12 PM

be a bit more consistent

mat added a comment.Mar 9 2018, 11:36 PM

Couldn't the qt4/qt5 ports be merged and use flavors to select qt4/qt5?

Yeah, I was also thinking about that. Will do :)

tcberner updated this revision to Diff 40130.Mar 10 2018, 9:05 AM

Add some spice.

I'll add the bumps once this part is reviewed to keep it a bit more readable.

multimedia/phonon/pkg-plist.qt5
1 ↗(On Diff #40130)

I think I can unite the plists with something a PLIST_SUB set to 4qt5 resp ""

tcberner updated this revision to Diff 41966.Apr 29 2018, 10:34 AM

Finish flavorization of phonon ports.

tcberner retitled this revision from Update multimedia/*phonon* to Update multimedia/*phonon* and flavorize.Apr 29 2018, 10:39 AM
tcberner updated this revision to Diff 42732.May 19 2018, 6:47 AM

Update diff

ping portmgr

mat added inline comments.Jun 18 2018, 10:06 AM
multimedia/phonon-designerplugin/Makefile
7 ↗(On Diff #43889)

We prefer to have PKGNAMESUFFIX be statically defined using the helpers:

qt4_PKGNAMESUFFIX=  -designerplugin-qt4
qt5_PKGNAMESUFFIX=  -designerplugin-qt5
multimedia/phonon-gstreamer/Makefile
9 ↗(On Diff #43889)

Same here,

qt4_PKGNAMESUFFIX=  -${PHONON_PLUGIN}-qt4
qt5_PKGNAMESUFFIX=  -${PHONON_PLUGIN}-qt5
multimedia/phonon/Makefile
8 ↗(On Diff #43889)

Same.

tcberner updated this revision to Diff 44024.Jun 18 2018, 7:10 PM

Use helper to set PKGNAMESUFFIX

tcberner updated this revision to Diff 44027.Jun 18 2018, 7:18 PM

Fix phonon-designerplugins' PKGNAMESUFFIX

mat accepted this revision as: portmgr.Jun 18 2018, 9:50 PM

Flavors look right, do make sure this is test built :-p

This revision was not accepted when it landed; it landed in state Needs Review.Jul 11 2018, 4:56 AM
This revision was automatically updated to reflect the committed changes.